//
//  AddPaymentMethodLifecycleAdapter.h
//  WebtehPaymentLib
//
//  Created by Jasmin Suljic on 04/10/2018.
//

#import "AddPaymentMethodLifecycleDelegate.h"
#import "PgwApi.h"
#import "ApiErrors.h"


@interface AddPaymentMethodLifecycleAdapter : NSObject
extern int const SHOW_ORDER_RESPONSE;
extern int const TRANSACTION_SUCCESS_MODE;
@property (nonatomic, weak) id<AddPaymentMethodLifecycleDelegate> delegate;
@property (nonatomic, strong) PgwApi *pgwApi;
@property (nonatomic, strong) NSString *merchantKey;
@property (nonatomic, strong) NSString *orderNumber;
@property int mode;

-(id)init:(id<AddPaymentMethodLifecycleDelegate>) transactionLifecycle
      api: (PgwApi *) pgwApi
merchantKey: (NSString *) key
orderNumber: (NSString *) orderNumber __deprecated_msg("Use: init with mode");

-(id)init:(id<AddPaymentMethodLifecycleDelegate>) transactionLifecycle
      api: (PgwApi *) pgwApi
merchantKey: (NSString *) key
orderNumber: (NSString *) orderNumber
     mode: (int) mode;

-(void) timeout;
-(void) transactionFailure: (ApiError *) error;


@end
