//
//  Customer.m
//  Pods
//
//  Created by Jasmin Suljic on 18/07/2017.
//
//

#import <Foundation/Foundation.h>
#import "Customer.h"
#import "InputResolver.h"

@implementation Customer

-(id) init: (NSString * ) fullName
     email:(NSString * ) email
   address:(NSString * ) address
phoneNumber:(NSString * ) phoneNumber
      city:(NSString * ) city {
    
    _fullName = fullName;
    _email = email;
    _address = address;
    _phoneNumber = phoneNumber;
    _city = city;
    
    return [self init];
}

- (id)init:(NSString *)fullName email:(NSString *)email address:(NSString *)address phoneNumber:(NSString *)phoneNumber city:(NSString *)city userId:(NSString *)userId {
    _fullName = fullName;
    _email = email;
    _address = address;
    _phoneNumber = phoneNumber;
    _city = city;
    _userId = userId;
    return [self init];
}

-(NSMutableDictionary *) toDictionary{
    NSMutableDictionary *data = [[NSMutableDictionary alloc] init];
    
    [data setValue:_fullName forKey:@"card_holder"];
    [data setValue:_email forKey:@"email"];
    [data setValue:_address forKey:@"address"];
    [data setValue:_phoneNumber forKey:@"phone_number"];
    [data setValue:_city forKey:@"city"];
    [data setValue:_userId forKey:@"user_id"];
    
    return data;
}

@end
