//
//  DeletePaymentMethodError.m
//  WebtehPaymentLib
//
//  Created by Jasmin Suljic on 03/08/2018.
//

#import <Foundation/Foundation.h>
#import "DeletePaymentMethodError.h"

@implementation DeletePaymentMethodError

- (id)init:(NSString *)status message:(NSString *)message {
    _status = status;
    _message = message;
    return [self init];
}

+ (DeletePaymentMethodError *)fromJson:(NSDictionary *)data {
    return [[DeletePaymentMethodError alloc] init:[data valueForKey:@"status"] message:[data valueForKey:@"message"]];
}

@end
