//
//  TransactionLifecycleAdapter.h
//  pay
//
//  Created by Jasmin Suljic on 21/12/16.
//  Copyright © 2016 Webteh.hr. All rights reserved.
//

#import "TransactionLifecycleAdapterDelegate.h"
#import "PgwApi.h"
#import "ApiErrors.h"


@interface TransactionLifecycleAdapter : NSObject 
extern int const SHOW_ORDER_RESPONSE;
extern int const TRANSACTION_SUCCESS_MODE;
@property (nonatomic, weak) id<TransactionLifecycleAdapterDelegate> delegate;
@property (nonatomic, strong) PgwApi *pgwApi;
@property (nonatomic, strong) NSString *merchantKey;
@property (nonatomic, strong) NSString *orderNumber;
@property int mode;

-(id)init:(id<TransactionLifecycleAdapterDelegate>) transactionLifecycle
      api: (PgwApi *) pgwApi
      merchantKey: (NSString *) key
orderNumber: (NSString *) orderNumber __deprecated_msg("Use: init with mode");

-(id)init:(id<TransactionLifecycleAdapterDelegate>) transactionLifecycle
      api: (PgwApi *) pgwApi
merchantKey: (NSString *) key
orderNumber: (NSString *) orderNumber
     mode: (int) mode;

-(void) timeout;
-(void) transactionFailure: (ApiError *) error;


@end
