//
//  PaymentMethod.h
//  WebtehPaymentLib
//
//  Created by Jasmin Suljic on 03/08/2018.
//

@interface PaymentMethod: NSObject

@property(strong,nonatomic) NSString *id;
@property(strong,nonatomic) NSString *name;
@property(strong,nonatomic) NSString *userId;
@property(strong, nonatomic) NSString *cardType;
@property(strong, nonatomic) NSString *maskedPan;
@property(strong, nonatomic) NSString *year;
@property(strong, nonatomic) NSString *month;
@property(strong, nonatomic) NSString *merchantId;
@property bool expiresSoon;

-(id) init: (NSString *) id
  name: (NSString *) name
   userId: (NSString *) userId
     cardType: (NSString *) cardType
  maskedPan: (NSString *) maskedPan
year: (NSString *) year
month: (NSString *) month
    merchantId: (NSString *) merchantId
expiresSoon: (bool) expiresSoon;

+(PaymentMethod *) fromJson:(NSDictionary *)jsonDict;
@end

