#import <Foundation/Foundation.h>
  #import "BusinessErrors.h"
  
      // description - Card expired
      // message - Card expired
      int const card_expired = 1001;

      // description - Card suspicious
      // message - Card suspicious
      int const card_suspicious = 1002;

      // description - Card suspended
      // message - Card suspended
      int const card_suspended = 1003;

      // description - Card stolen
      // message - Card stolen
      int const card_stolen = 1004;

      // description - Card lost
      // message - Card lost
      int const card_lost = 1005;

      // description - Card not found
      // message - Card not found
      int const card_not_found = 1011;

      // description - Cardholder not found
      // message - Cardholder not found
      int const cardholder_not_found = 1012;

      // description - Account not found
      // message - Account not found
      int const account_not_found = 1014;

      // description - Invalid request
      // message - Invalid request
      int const invalid_request = 1015;

      // description - Not sufficient funds
      // message - Not sufficient funds
      int const not_sufficient_funds = 1016;

      // description - Previously reversed
      // message - Previously reversed
      int const previously_reversed = 1017;

      // description - Previously reversed
      // message - Previously reversed
      int const previously_reversed_1 = 1018;

      // description - Further activity prevents reversal
      // message - Further activity prevents reversal
      int const further_activity_prevents_reversal = 1019;

      // description - Further activity prevents void
      // message - Further activity prevents void
      int const further_activity_prevents_void = 1020;

      // description - Original transaction has been voided
      // message - Original transaction has been voided
      int const original_transaction_has_been_voided = 1021;

      // description - Preauthorization is not allowed for this card
      // message - Preauthorization is not allowed for this card
      int const preauthorization_is_not_allowed_for_this_card = 1022;

      // description - Only full 3D authentication is allowed for this card
      // message - Only full 3D authentication is allowed for this card
      int const only_full__d_authentication_is_allowed_for_this_card = 1023;

      // description - Installments are not allowed for this card
      // message - Installments are not allowed for this card
      int const installments_are_not_allowed_for_this_card = 1024;

      // description - Transaction with installments can not be send as preauthorization
      // message - Transaction with installments can not be send as preauthorization
      int const transaction_with_installments_can_not_be_send_as_preauthorization = 1025;

      // description - Installments are not allowed for non ZABA cards
      // message - Installments are not allowed for non ZABA cards
      int const installments_are_not_allowed_for_non_zaba_cards = 1026;

      // description - Transaction declined
      // message - Transaction declined
      int const transaction_declined = 1050;

      // description - Missing fields
      // message - Missing fields
      int const missing_fields = 1802;

      // description - Extra fields exist
      // message - Extra fields exist
      int const extra_fields_exist = 1803;

      // description - Invalid card number
      // message - Invalid card number
      int const invalid_card_number = 1804;

      // description - Card not active
      // message - Card not active
      int const card_not_active = 1806;

      // description - Card not configured
      // message - Card not configured
      int const card_not_configured = 1808;

      // description - Invalid amount
      // message - Invalid amount
      int const invalid_amount = 1810;

      // description - System error
      // message - System error
      int const system_error = 1811;

      // description - System error
      // message - System error
      int const system_error_1 = 1812;

      // description - Cardholder not active
      // message - Cardholder not active
      int const cardholder_not_active = 1813;

      // description - Cardholder not configured
      // message - Cardholder not configured
      int const cardholder_not_configured = 1814;

      // description - Cardholder expired
      // message - Cardholder expired
      int const cardholder_expired = 1815;

      // description - Original not found
      // message - Original not found
      int const original_not_found = 1816;

      // description - Usage limit reached
      // message - Usage limit reached
      int const usage_limit_reached = 1817;

      // description - Configuration error
      // message - Configuration error
      int const configuration_error = 1818;

      // description - Invalid terminal
      // message - Invalid terminal
      int const invalid_terminal = 1819;

      // description - Inactive terminal
      // message - Inactive terminal
      int const inactive_terminal = 1820;

      // description - Invalid merchant
      // message - Invalid merchant
      int const invalid_merchant = 1821;

      // description - Duplicate entity
      // message - Duplicate entity
      int const duplicate_entity = 1822;

      // description - Invalid acquirer
      // message - Invalid acquirer
      int const invalid_acquirer = 1823;

      // description - Internal error
      // message - Internal error
      int const internal_error = 2000;

      // description - Internal error
      // message - Internal error
      int const internal_error_1 = 2001;

      // description - Internal error
      // message - Internal error
      int const internal_error_2 = 2002;

      // description - Internal error
      // message - Internal error
      int const internal_error_3 = 2003;

      // description - 3D Secure error
      // message - 3D Secure error
      int const _d_secure_error = 2013;

      // description - 3D Secure error
      // message - 3D Secure error
      int const _d_secure_error_1 = 4001;

      // description - 3D Secure error
      // message - 3D Secure error
      int const _d_secure_error_2 = 4002;

      // description - 3D secure error
      // message - 3D secure error
      int const _d_secure_error_3 = 4003;

      // description - Time expired
      // message - Time expired
      int const time_expired = 3000;

      // description - Function not supported
      // message - Function not supported
      int const function_not_supported = 3100;

      // description - Timeout
      // message - Timeout
      int const timeout_business = 3200;

      // description - Authorization host not active
      // message - Authorization host not active
      int const authorization_host_not_active = 3201;

      // description - System not ready
      // message - System not ready
      int const system_not_ready = 3202;

      // description - Request in progress
      // message - Request in progress
      int const request_in_progress = 5000;

      // description - RISK: Number of repeats per PAN
      // message - RISK: Number of repeats per PAN
      int const risk__number_of_repeats_per_pan = 5001;

      // description - RISK: Number of repeats per BIN
      // message - RISK: Number of repeats per BIN
      int const risk__number_of_repeats_per_bin = 5003;

      // description - RISK: Percentage of declined transactions
      // message - RISK: Percentage of declined transactions
      int const risk__percentage_of_declined_transactions = 5005;

      // description - RISK: Number of refunded transactions
      // message - RISK: Number of refunded transactions
      int const risk__number_of_refunded_transactions = 5006;

      // description - RISK: Percentage increment of sum on amount of refunded transactions
      // message - RISK: Percentage increment of sum on amount of refunded transactions
      int const risk__percentage_increment_of_sum_on_amount_of_refunded_transactions = 5007;

      // description - RISK: Number of chargebacks
      // message - RISK: Number of chargebacks
      int const risk__number_of_chargebacks = 5009;

      // description - RISK: Sum on amount of chargebacks
      // message - RISK: Sum on amount of chargebacks
      int const risk__sum_on_amount_of_chargebacks = 5010;

      // description - RISK: Number of retrieval requests
      // message - RISK: Number of retrieval requests
      int const risk__number_of_retrieval_requests = 5011;

      // description - RISK: Sum on amount of retrieval requests
      // message - RISK: Sum on amount of retrieval requests
      int const risk__sum_on_amount_of_retrieval_requests = 5012;

      // description - RISK: Average amount per transaction
      // message - RISK: Average amount per transaction
      int const risk__average_amount_per_transaction = 5013;

      // description - RISK: Percentage increment of average amount per transaction
      // message - RISK: Percentage increment of average amount per transaction
      int const risk__percentage_increment_of_average_amount_per_transaction = 5014;

      // description - RISK: Percentage increment of number of transactions
      // message - RISK: Percentage increment of number of transactions
      int const risk__percentage_increment_of_number_of_transactions = 5015;

      // description - RISK: Total sum on amount
      // message - RISK: Total sum on amount
      int const risk__total_sum_on_amount = 5016;

      // description - RISK: Percentage increment of total sum on amount
      // message - RISK: Percentage increment of total sum on amount
      int const risk__percentage_increment_of_total_sum_on_amount = 5017;

      // description - RISK: Minimum amount per transaction
      // message - RISK: Minimum amount per transaction
      int const risk__minimum_amount_per_transaction = 5018;

      // description - RISK: Maximum amount per transaction
      // message - RISK: Maximum amount per transaction
      int const risk__maximum_amount_per_transaction = 5019;

      // description - RISK: Number of approved transactions per PAN
      // message - RISK: Number of approved transactions per PAN
      int const risk__number_of_approved_transactions_per_pan = 5020;

      // description - RISK: Sum on amount of approved transactions per PAN
      // message - RISK: Sum on amount of approved transactions per PAN
      int const risk__sum_on_amount_of_approved_transactions_per_pan = 5021;

      // description - RISK: Sum on amount of approved transactions per BIN
      // message - RISK: Sum on amount of approved transactions per BIN
      int const risk__sum_on_amount_of_approved_transactions_per_bin = 5022;

      // description - RISK: Number of approved transactions per PAN and MCC on amount
      // message - RISK: Number of approved transactions per PAN and MCC on amount
      int const risk__number_of_approved_transactions_per_pan_and_mcc_on_amount = 5023;

      // description - RISK: Number of repeats per IP
      // message - RISK: Number of repeats per IP
      int const risk__number_of_repeats_per_ip = 5050;

      // description - RISK: Number of repeats per cardholder name
      // message - RISK: Number of repeats per cardholder name
      int const risk__number_of_repeats_per_cardholder_name = 5051;

      // description - RISK: Number of repeats per cardholder e-mail
      // message - RISK: Number of repeats per cardholder e-mail
      int const risk__number_of_repeats_per_cardholder_e_mail = 5052;

      // description - Systan mismatch
      // message - Systan mismatch
      int const systan_mismatch = 6000;

      // description - Blacklisted ip
      // message - Blacklisted ip
      int const blacklisted_ip = 6001;

      // description - Blacklisted pan
      // message - Blacklisted pan
      int const blacklisted_pan = 6002;

      // description - Blacklisted bin
      // message - Blacklisted bin
      int const blacklisted_bin = 6003;

  @implementation BusinessErrors
  
  @end