//
//  WebtehWebView.h
//  pay
//
//  Created by Jasmin Suljic on 21/12/16.
//  Copyright © 2016 Leftor d.o.o. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "TransactionLifecycleAdapter.h"
#import "AddCardModel.h"
#import "PayCvvModel.h"
#import "AddPaymentMethodLifecycleAdapter.h"
#import "AddPaymentMethodModel.h"

@interface WebtehWebView : UIWebView

-(void)initialize:(TransactionLifecycleAdapter *) transactionLifecycle
  isDebug:(bool) isDebug
  timeout:(long) timeout;

-(void)initialize:(bool) isDebug
          timeout:(long) timeout;

-(void) addCard: (AddCardModel *) addCardModel;
-(void) payCvv: (PayCvvModel *) payCvvModel;

-(void) addPaymentMethod: (AddPaymentMethodLifecycleAdapter *) adapter
                   model: (AddPaymentMethodModel *) model;

@end
